Package com.avaya.clientservices.contact.fields

## Class ContactField

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField

- All Implemented Interfaces:
    `BaseContactField`
  Direct Known Subclasses:
    `ContactBoolField`, `ContactDoubleField`, `ContactEmailAddressField`, `ContactIMAddressField`, `ContactMultiValueField`, `ContactPhoneField`, `ContactStringField`, `EditableContactField`

      public class ContactField
      extends java.lang.Object
      implements BaseContactField

  Each field in a contact has a structure associated with it which describes where it came from and if it can be modified. This is the base class for all the fields stored in the Contact object.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `Capability` | `getCapability()` | Returns write capability for particular field.
    `ContactProviderSourceType` | `getContactProviderSourceType()` | Returns provider source type for particular field.
    `int` | `hashCode()` |
    `void` | `setContactProviderSourceType​(ContactProviderSourceType contactSourceType)` | Sets contact provider source type.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCapability

          public Capability getCapability()

      Returns write capability for particular field.
      Specified by:
        `getCapability` in interface `BaseContactField`
      Returns:
        write capability for particular field.

    - #### getContactProviderSourceType

          public ContactProviderSourceType getContactProviderSourceType()

      Returns provider source type for particular field.
      Specified by:
        `getContactProviderSourceType` in interface `BaseContactField`
      Returns:
        provider source type for particular field.

    - #### setContactProviderSourceType

          public void setContactProviderSourceType​(ContactProviderSourceType contactSourceType)

      Sets contact provider source type.
      Parameters:
        `contactSourceType` - contact provider source type.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`